Want to Join Us ?

you'll be able to discuss, share and send private messages.

ida pro IDACyber by Dennis Elser

Discussion in 'Plugins' started by storm shadow, Jan 12, 2017.

Share This Page

  1. storm shadow

    Techbliss Owner Admin Ida Pro Expert Developer

    Attached Files:

    roocoon and Rip Cord like this.
  2. roocoon

    Active Member

  3. storm shadow

    Techbliss Owner Admin Ida Pro Expert Developer

    i dont get any problem with Qwidget, however i get a error with
    ida_kernwin.plgform_new() from idapython not present
     
    roocoon likes this.
  4. storm shadow

    Techbliss Owner Admin Ida Pro Expert Developer

    okay i got it.
    apparently he is using a new idapython version i dont have acces to in demo world
    they broke up idaapi to multible versions.
    i had to rewrite alot but works like a charm.

    files are below for idaq 6.95 demo.
    Also if you have trouble with the PyQy5 installer i made please feel free to pm me and i will help out.


    [​IMG]
     

    Attached Files:

    Rip Cord likes this.
  5. roocoon

    Active Member

    Thanks for looking at it.
    Well, I'd probably get the same error as you, IF I could manage to fix the Qwidget one. It looks like your PyQt5 setup is way better than mine. No surprises there :)

    This plugn can wait, I suppose. I don't like spendng too long fixing Python, Qt, etc. They have turned to a sort of DLL hell, even worse than Windows'.
    Cheers.
     
    storm shadow likes this.
  6. storm shadow

    Techbliss Owner Admin Ida Pro Expert Developer

    have you tried the modded files i submitted in last post
    also the QtWidget error is most likely that you have to add the C:\Python27\Lib\site-packages\PyQt5
    to system env var
     
  7. roocoon

    Active Member

    I just got them, thanks.
    I'll save them for the future though. I'm using Ida 6.8.

    I'll try the environment variable setting tomorrow morning and let you know what happened.
    As for IDAPython, I used v1.7.2 from GitHub. I didn't think there might be hidden versions around. But he could have compiled his own version from the source.
    Anyway, more tomorrow...
     
  8. storm shadow

    Techbliss Owner Admin Ida Pro Expert Developer

    Well I can make a version tomorrow for 6.8 hope author don't mind.
    If you using PyQt5 for Ida 6.8 that won't work and explain the q widget error
    PyQt4 for anything below Ida 6.9 and PyQt5 for ida 6.9+
    Ida 6.8is built with qt 4.* and Ida 6.*is using qt-5 so pyqt have to be same versions
    There is new version out of idapython wich Isent available just yet but in Ida 6.95 changelog it says they splitting up idaapi python module in many. So must be released to costumers
     
    roocoon likes this.
  9. roocoon

    Active Member

    No point trying Qt5 with my Ida 6.8 then.
    I'll remove idacyber until hopefully you can make a 6.8 version.
    It could be too much work for you if it expets Qt5 so don't bother if you don't have the time for it.
    Just your offer to do it, is appreciated.
    Regards.
     
    computerline and Rip Cord like this.
  10. computerline

    Well-Known Member Ida Pro Expert

    My fix to use with IDA 6.8. It use PySide, I not found way to run with PyQt4 :3, Sometime this make IDA crash, but seem everything still ok.
     

    Attached Files:

  11. roocoon

    Active Member

  12. storm shadow

    Techbliss Owner Admin Ida Pro Expert Developer

    Extract that in idafolder/python/PySide
     

    Attached Files:

    computerline, Rip Cord and roocoon like this.
Top